:root {
    --primary-color: #0056b3;
    --secondary-color: #f8f9fa;
    --tertiary-color: #004aad;
    --text-color: #333;
  }
  
  body {
    font-family: tahoma, Heading Now 71-78, Arial;
    /* line-height: 1.6; */
    color: var(--text-color);
    margin: 0;
    padding: 0;
  }
  
  body h2 {
    font-size: 45px;
  }

  main {
    font-family: tahoma;
  } 
  
  main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2rem;
  }
  

  #hero-text {
    padding-top: 150px;
    height: 500px;
    width: 400px;
    /* background-color:white ; */
  }

  #hero h1 {
    color: var(--primary-color);
    font-size: 50px;
    text-shadow: 0.5px 0.5px var(--secondary-color);
  }

  #hero h4 {
    text-shadow: 0.5px 0.5px var(--secondary-color);
  }
  
  button,
  .cta {
    background-color: var(--primary-color);
    font-family: tahoma;
    color: white;
    padding: 0.5rem 1rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
    display: inline-block;
    margin: 0.5rem 0;
    transition: 0.3s;
  }

  button:hover {
    background-color: rgb(191, 220, 249);
    color: #004AAD;
  }

  #Choisir_mon_sys{
    padding: 0.5rem 1rem;
    background-color: white;
    cursor: pointer;
    display: inline-block;
    text-decoration: underline;
    color: var(--primary-color);
  }

  #choisir_mon_sys:hover {
    text-decoration: none;
  }

/** Section features **/ 
  #features {
    margin-bottom: 2rem;
  }
  #features h2{
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    color: #004aad;
  }

  #features h3{
    text-align: center;
    font-size: 45px;
    font-weight: 700;
    color: #004aad;
  }

  .feature-grid {
    display: flex;
    /* align-items: center; */
    justify-content: center;
    gap: 0.5rem;
    margin-top: 2rem;
    margin: auto;
    flex-wrap: wrap;
  }
  
  .feature {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* background-color: var(--secondary-color); */
    padding: 0.5rem;
    border-radius: 5px;
    color: var(--primary-color);
    max-width: 300px;
  }
  
  .feature img {
    height: 2rem;
  }

/** Section smart-home **/

  #smart-home {
    align-self: center;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    background-color: #000e3f;
    padding: 2rem;
    /* margin-top: 2rem; */
    max-width: 1200px;
    margin: auto;
    margin-bottom: 2rem;
  }
  
  #smart-text {
    flex: 1;
    padding-right: 2rem;
  }

  #smart-text h2 {
    color: white;
  }

  #smart-text p {
    color: white;
  }

  #smart-image {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #smart-image img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  }

/** Section aide **/

  #aide {
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    padding: 2rem;
    margin-bottom: 2rem;
    margin: auto;
  }

  #aide-text {
    flex: 1;
    padding-right: 2rem;
  }

  #aide-text h2 {
    color: var(--primary-color);
    text-align: center;
  }

  #aide-text p {
    color: black;
  }

  #quiz-domo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 500px;
    }

/** Section etude-pro **/

  #etude-pro {
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 10px;
    padding: 2rem;
    margin-bottom: 2rem;
    margin: auto;
  }

  #etude-text {
    flex: 1;
    padding-right: 2rem;
  }

  #etude-text h2 {
    color: var(--primary-color);
    /* text-align: center; */
  }

  #etude-text p {
    color: black;
  }

  #etude-image {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #etude-image img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  }

/** Section controlez-tout **/

  #controlez-tout {
    max-width: 1200px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 10px;
    padding: 2rem;
    margin-bottom: 2rem;
    margin: auto;
  }

  #controlez-text {
    flex: 1;
    padding-right: 2rem;
  }

  #controlez-text h2 {
    color: var(--primary-color);
  }

  #controlez-text p {
    color: black;
  }

  #controlez-image {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  #controlez-image img {
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  }

/** Section protection **/

#protection {
  max-width: 1200px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 10px;
  background-color: var(--secondary-color);
  padding: 2rem;
  margin-bottom: 2rem;
}

#protection-text {
  flex: 1;
  padding-right: 2rem;
}

#protection-text h2 {
  color: var(--primary-color);
}

#protection-text p {
  color: black;
}

#protection-video {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

#protection-video video {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

/** Section etude-pro **/

#avis {
  max-width: 1200px;
  margin: auto;
  display: flex;
  flex-direction: column;
  margin-bottom: 2rem;
}

#avis-top {
  display: flex;
  align-items: center;
  align-self: center;
  gap: 250px;
  border-radius: 10px;
  padding: 10px;
  /* background-color: var(--secondary-color); */
}

#avis-top h2 {
  color: var(--primary-color);
  margin-top: 5px;
  margin-bottom: 5px;
}

.star {
  cursor: pointer;
  font-size: 22px;
  color: var(--tertiary-color);
  transition: 0.3s;
}

.star.hover {
  color: goldenrod;
}

#avis-bottom {
  display: flex;
}

.avis-person {
  text-align: center;
  padding: 0.25rem;
}

.avis-person h5 {
  font-size: 18px;
  font-weight: 600;
  color: var(--tertiary-color);
}

.separator {
  height: 200px;
  width: 1px;
  background-color: var(--tertiary-color);
}

/** Section contact **/

#contact {
  max-width: 1200px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 10px;
  padding: 2rem;
  margin-bottom: 2rem;
}

#contact-text {
  flex: 1;
  padding-right: 2rem;
  text-align: center;
}

#contact-text h2 {
  color: var(--primary-color);
}

#contact-text p {
  color: var(--primary-color);
  font-weight: 600;
}

#contact-image {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

#contact-image img {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
  /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
}

.icon-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.icon-box img {
  width: 50px;
  height: auto;
}
  
  @media (max-width: 768px) {
    body h2 {
    font-size: 28px;
  }

  main {
    padding: 1rem;
  }

  #hero {
    padding: 1rem;
  }

  #hero-text {
    padding-top: 50px;
  }

  #hero h1 {
    font-size: 32px;
  }

  .feature {
    flex-basis: 100%;
  }

  #features h3 {
    font-size: 32px;
  }

  #smart-home,
  #etude-pro,
  #controlez-tout,
  #protection,
  #contact {
    padding: 1rem;
  }

  #contact-image img,
  #controlez-image img,
  #etude-image img,
  #smart-image img {
    display: none;
  }

  #etude-text,
  #controlez-text {
    width: 100%;
  }

  #avis-top {
    flex-direction: column;
    gap: 20px;
  }

  .icon-box {
    margin-bottom: 1rem;
  }
    
  }
  
  @media (max-width: 1024px) {
    body h2 {
      font-size: 35px;
    }
  
    #hero-text {
      width: 100%;
      max-width: 400px;
      padding-top: 100px;
      height: auto;
    }
  
    #hero h1 {
      font-size: 40px;
    }
  
    .feature-grid {
      justify-content: space-around;
    }
  
    .feature {
      flex-basis: calc(50% - 1rem);
    }
  
    #smart-home,
    #etude-pro,
    #controlez-tout,
    #protection,
    #contact {
      flex-direction: column;
      padding: 1.5rem;
    }
  
    #smart-text,
    #etude-text,
    #controlez-text,
    #protection-text,
    #contact-text {
      padding-right: 0;
      margin-bottom: 1.5rem;
    }

    #contact-image img,
    #controlez-image img,
    #etude-image img,
    #smart-image img {
      width: 50%;
    }
  
    #aide {
      flex-direction: column;
      height: auto;
    }
  
    #aide-text,
    #quiz-domo {
      width: 100%;
      max-width: 500px;
      padding-right: 0;
      margin-bottom: 1.5rem;
    }
  
    #avis-top {
      gap: 100px;
    }
  
    #avis-bottom {
      flex-direction: column;
    }
  
    .separator {
      height: 1px;
      width: 80%;
      margin: 1rem auto;
    }
  }

  @media (hover: hover) {
    /* Only apply hover styles on devices that support hover */
    button:hover,
    .cta:hover {
      background-color: rgb(191, 220, 249);
      color: #004aad;
    }
    
  }
  .carousel { position: relative; width: 1000px;height:600px ; margin: auto;margin-top: 50px; overflow: hidden; border-radius: 20px; }
  .slides { display: flex; transition: transform 0.5s ease-in-out; }
  .slide { min-width: 100%; position: relative; }
  .slide img { width: 100%; border-radius: 20px; }
  .text-overlay { position: absolute; top: 20%; left: 10%; color: #001F5B; font-weight: bold; }
  .text-overlay h2 { font-size: 2rem; }
  .text-overlay p { font-size: 1.2rem; margin: 10px 0; }
  .text-overlay button { background: #001F5B; color: white; padding: 10px 15px; border: none; cursor: pointer; }
  .text-overlay button:hover {
    background-color: rgb(191, 220, 249);
      color: #004aad;
  }
  .prev, .next { position: absolute; top: 50%; transform: translateY(-50%); font-size: 2rem; color: #001F5B; cursor: pointer; background: rgba(255,255,255,0.5); border: none; padding: 10px; }
  .prev { left: 10px; }
  .next { right: 10px; }

  @media screen and (max-width: 480px) {
    .carousel {
      height: 300px;
      max-width: 400px;
    }
    .text-overlay {
      top: 5%;
      left: 5%;
      width: 90%;
    }
    .text-overlay h2 {
      font-size: 1.2rem;
    }
    .text-overlay p {
      font-size: 0.9rem;
    }
    .text-overlay button {
      padding: 6px 10px;
      font-size: 0.8rem;
    }
    .prev, .next {
      font-size: 1.2rem;
      padding: 6px;
    }
  }